import { AlertConfig } from './config';
/**
 * configure.
 *
 * @remarks
 * Configure the alert micro frontend for host app integration.
 *
 * @example Providing template options to align to your host application.
 * ```ts

 *   const { configure } = await import('@genesislcap/foundation-alerts/config'); // < import from the subpath
 *   return configure({
 *     name: `nexus-app-alerts`,
 *     // These will be merged with the packages `defaultTemplateOptions`. You will need to have these components registered in your application.
 *     templateOptions: {
 *       button: 'nexus-button',
 *       checkbox: 'nexus-checkbox-next',
 *       provider: 'template',
 *     },
 *   });
 * },
 * ```
 *
 * @param config - A partial AlertConfig.
 * @public
 */
export declare function configure(config: Partial<AlertConfig>): Promise<typeof import("../main").FoundationAlerts>;
//# sourceMappingURL=configure.d.ts.map